module Jafry
  # Module providing getters/setters for module level variables
  # @since 0.2.0
  module Accessor
    # Method for creating getters/setters by attribute name
    #
    # @param [Array] args Attributes
    def mattrs(*args)
      args.each do |attr|
        class_eval(%Q(
            def self.#{attr}=(attr)
              @@#{attr}=attr
            end

            def self.#{attr}
              @@#{attr}
            end
          )
        )
      end
    end
  end
end

